Package com.independentsoft.office.drawing.extensions

# Class PredecessorDrawingElementReference

java.lang.Object
com.independentsoft.office.drawing.extensions.PredecessorDrawingElementReference

All Implemented Interfaces:
  `IExtensionContent`

public class PredecessorDrawingElementReference extends Object implements IExtensionContent
Represents the predecessor drawing element reference extension (`a16:predDERef`) that references the predecessor drawing element by its creation id (uri `{147F2762-F138-4A5C-976F-8EAC2B608ADB}`).

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static String`
  `NAMESPACE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PredecessorDrawingElementReference()`
  Instantiates a new predecessor drawing element reference.
  `PredecessorDrawingElementReference​(InternalXMLStreamReader reader)`
  Instantiates a new predecessor drawing element reference.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IExtensionContent`
  `clone()`
  Clone.
  `String`
  `getPred()`
  Gets the predecessor drawing element creation id.
  `void`
  `setPred​(String pred)`
  Sets the predecessor drawing element creation id.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### NAMESPACE

    public static final String NAMESPACE
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### PredecessorDrawingElementReference

    public PredecessorDrawingElementReference()
    Instantiates a new predecessor drawing element reference.

  - ### PredecessorDrawingElementReference

    public PredecessorDrawingElementReference​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new predecessor drawing element reference.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the XML stream exception

- ## Method Details

  - ### clone

    public IExtensionContent clone()
    Description copied from interface: `IExtensionContent`
    Clone.
    Specified by:
      `clone` in interface `IExtensionContent`
    Overrides:
      `clone` in class `Object`
    Returns:
      the extension content

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getPred

    public String getPred()
    Gets the predecessor drawing element creation id.
    Returns:
      the predecessor drawing element creation id

  - ### setPred

    public void setPred​(String pred)
    Sets the predecessor drawing element creation id.
    Parameters:
      `pred` - the new predecessor drawing element creation id